/* basics */
:root{
  --red:#c00;
  --green:#060;
  --blue:#009;
  --yellow:#f90;
  --black:#000;
  --darker:#333;
  --dark:#666;
  --grey:#ccc;
  --white:#fff;
}
*,html{overflow-x:none;pointer-events:inherit;}
body,form{margin:0;padding:0;}
.clear{clear:both;}
.line{border-bottom:1px solid var(--white);margin-bottom:0.2em;}

/* desktop */
body{font-family:sans-serif;letter-spacing:1.5px;font-size:18px;line-height:25px;font-weight:400;color:var(--white);}
p{margin:0.8em;text-shadow:0 0 5px var(--black);}
.bodybg{background:url('bg.jpg') no-repeat;background-attachment:fixed;background-size:cover;display:grid;align-items:center;justify-content:center;height:100vh;background-color:var(--darker);}
h1{text-align:center;text-transform:uppercase;font-weight:bold;letter-spacing:-4px;text-shadow:0 0 2px var(--black);margin:0.8em 0 0.5em 0;}
#cover1,#cover2{position:fixed;top:0;z-index:999;height:100vh;width:50vw;background-color:var(--yellow);}
#cover1{left:0;}
#cover2{right:0;}
.cover1hide{margin-left:-50vw;transition:all 0.5s 1.5s ease-in-out;}
.cover2hide{margin-right:-50vw;transition:all 0.5s 1.5s ease-in-out;}
#wrapper{width:auto;height:auto;position:absolute;top:0;display:inline-block;}
#game{width:32em;height:32em;background:linear-gradient(135deg,rgba(255,255,255,1) 5%,rgba(128,128,128,1) 25%,rgba(0,0,0,1) 50%);border-radius:20em;border:2px solid var(--dark);box-shadow:5px 5px 30px var(--black);}
.colbtn{width:14.6em;height:14.6em;float:left;border:2px solid var(--dark);cursor:pointer;transition:all 0.15s ease-in-out;background:linear-gradient(135deg,rgba(255,255,255,0.4) 0%,rgba(128,128,128,0.2) 50%,rgba(0,0,0,0.6) 95%);}
.active{filter:brightness(175%);}
.cor-tl{border-radius:20em 0 0 0;margin:20px 1px 1px 20px;}
.cor-tr{border-radius:0 20em 0 0;margin:20px 20px 1px 1px;}
.cor-bl{border-radius:0 0 0 20em;margin:1px 1px 20px 20px;}
.cor-br{border-radius:0 0 20em 0;margin:1px 20px 20px 1px;}
.midarea{position:absolute;top:8em;left:8em;width:10em;height:10em;background-color:var(--black);border:1px solid var(--dark);border-radius:20em;box-shadow:0 0 5px var(--black);padding:3em;}
#lvl{width:3em;height:2em;border:1px solid var(--dark);border-radius:3em;padding:12px 3px 0 0;text-align:center;margin:1em 34%;letter-spacing:-1px;}
.button{width:10em;float:left;border:1px solid var(--black);border-radius:2em;font-size:0.8em;text-transform:uppercase;margin:6px 8%;padding:6px 8px 8px 8px;text-align:center;cursor:pointer;transition:all 0.15s ease-in-out;}
.button::first-letter{font-weight:bold;border-bottom:2px solid currentColor;}
.button:hover{background-color:var(--white);border-color:var(--white);color:var(--black);}
.red{background-color:var(--red);}
.green{background-color:var(--green);}
.blue{background-color:var(--blue);}
.yellow{background-color:var(--yellow);}
.black{background-color:var(--black);}
.dark{background-color:var(--dark);}
.white{background-color:var(--white);}

/* mobile */
@media(max-width:960px){
  body{font-size:18px;line-height:18px;}
  h1{font-size:1.6em;line-height:0px;letter-spacing:-3px;margin:0.2em 0 0.5em 0;}
  #wrapper{width:100vw;height:100vh;}
  #game{width:18.5em;height:18.5em;position:absolute;padding:0.2em;margin: 1em 25% 1em 25%;}
  .colbtn{width:7.85em;height:7.85em;}
  .midarea{width:6em;height:6em;top:4em;left:4em;padding:2.5em;}
  #lvl{width:2.7em;height:1.7em;margin:1em 25%;}
  .button{width:6.75em;margin:5px auto 2px auto;}
  .button::first-letter{font-weight:normal;border-bottom:0;}
}